Business System Users
Updated: Mar 9, 2021
Reading
List all system users for this business.
Example
GET /v25.0/{business-id}/system_users HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
This endpoint doesn't have any parameters.
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {},
"summary": {}
}
data
A list of SystemUser nodes.
The following fields will be added to each node that is returned:
| Field | Description |
|---|---|
rolestring |
Role name of the user in the business manager. Note that this field only contains base roles including Admin and Employee
default |
paging
For more details about pagination, see the Graph API guide.
summary
Aggregated information about the edge, such as counts. Specify the fields to fetch in the summary param (like summary=total_count).
| Field | Description |
|---|---|
total_countunsigned int32 |
Total number of system users for this business.
|
Error Codes
| Error Code | Description |
|---|---|
200 | Permissions error |
104 | Incorrect signature |
100 | Invalid parameter |
Creating
Apps can only target businesses (or child businesses of those businesses) that have claimed them.
/{business_id}/system_users
You can make a POST request to system_users edge from the following paths:
When posting to this edge, a SystemUser will be created.
Parameters
| Parameter | Description |
|---|---|
namestring |
Name of system user to be added to this business.
required |
roleenum {FINANCE_EDITOR, FINANCE_ANALYST, ADS_RIGHTS_REVIEWER, ADMIN, EMPLOYEE, DEVELOPER, PARTNER_CENTER_ADMIN, PARTNER_CENTER_ANALYST, PARTNER_CENTER_OPERATIONS, PARTNER_CENTER_MARKETING, PARTNER_CENTER_EDUCATION, MANAGE, DEFAULT, FINANCE_EDIT, FINANCE_VIEW} |
Role of system user to be added to this business.
|
system_user_idint |
ID of system user.
|
Return Type
This endpoint supports read-after-write and will read the node represented by id in the return type.
Struct {
id: numeric string,
}
Error Codes
| Error Code | Description |
|---|---|
104001 | In order to create a system user, an app must be part of this business. Please add an app and then try again. |
100 | Invalid parameter |
3949 | This Business Manager has reached maximum number of system user limit. |
3965 | This Business Manager has reached maximum number of admin system user limit. |
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.